#2 Server 500 when trying to upload

closed-fixed
nobody
None
5
2009-04-14
2009-03-05
Anonymous
No

I am getting a server 500 error when trying to upload a file. Tried on windows,Tried on Solaris "Windows Browser/Unix Browser". It is the same error. Attached is the stack trace from the command line window. Installed with the easy install option. Got lots of warnings about depreceated WebHelpers module. Not a python developer. Also error message looked like, there is a problem within code.

Discussion

  • Nobody/Anonymous

     
  • John Dickson

    John Dickson - 2009-03-05

    Thanks for the bug report. Some more information would help greatly in tracking this down.

    1. Could you confirm that this happens when you go to the Select File Set popup, click Create New File Set, enter a Baseline/tag, select a tarball or zip file using the Browse button, and then click the Upload button.

    2. Could you please save the Select File Set page, and attach it to the bug report

    3. Have you managed to create any filesets successfully?

    4. Did you install the sample project?

     
  • John Dickson

    John Dickson - 2009-03-05
    • assigned_to: nobody --> captsens
     
  • Nobody/Anonymous

    Correct in all accounts. I have never managed to create a fileset attached successfully. I am attaching a fileset that I used. I have created the sample project and I can attach the existing filesets but I can't seem to upload.

     
  • Nobody/Anonymous

    Can't seem to attach a file but here's the similar error from the cygwin side. Plus it seems to fail when e-mailing the problem but that part I don't care.

    17:52:12,796 INFO summary [11100096] User: admin: Displaying project summary fo
    r Project 8 [prod_vali]
    /home/xxxx/jcr-0.6.6.1/data/templates/projectadmin/admincommon.mak.py:59: Deprec
    ationWarning: webhelpers.rails.url_for is deprecated; import url_for from routes
    instead
    __M_writer(unicode(common.drawTab('Summary', h.url_for(controller = '/projecta
    dmin/summary', id = projectId), selectedIndex == 0, \ /home/xxxx/jcr-0.6.6.1/data/templates/projectadmin/admincommon.mak.py:64: Deprec
    ationWarning: webhelpers.rails.url_for is deprecated; import url_for from routes
    instead
    __M_writer(unicode(common.drawTab('File sets', h.url_for(controller = '/projec
    tadmin/filesets', id = projectId), selectedIndex == 1, \ /home/xxxx/jcr-0.6.6.1/data/templates/projectadmin/admincommon.mak.py:69: Deprec
    ationWarning: webhelpers.rails.url_for is deprecated; import url_for from routes
    instead
    __M_writer(unicode(common.drawTab('Files', h.url_for(controller = '/projectadm
    in/files', id = projectId), selectedIndex == 2,
    17:52:14,739 INFO filesets [11104000] User: admin: Displaying file sets for Pro
    ject 8 [prod_vali]
    17:52:18,014 INFO selectfileset [10791776] User: admin: Selecting file sets for
    project 8
    17:53:09,668 ERROR base [10801744] User: admin: Uncaught exception
    Traceback (most recent call last):
    File "/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/lib/base.py", line
    98, in __call__
    return WSGIController.__call__(self, environ, start_response)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 164, in __call__
    response = self._dispatch_call()
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 120, in _dispatch_call
    response = self._inspect_call(func)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 79, in _inspect_call
    result = func(**args)
    File "<string>", line 2, in upload
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 36, in validate
    return permission.check(app, request.environ, self.start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permiss
    ions.py", line 177, in check
    return app(environ, start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 35, in app
    return func(self, *args, **kwargs)
    File "<string>", line 2, in upload
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/decorat
    ors/__init__.py", line 149, in wrapper
    response = self._dispatch_call()
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 120, in _dispatch_call
    response = self._inspect_call(func)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 79, in _inspect_call
    result = func(**args)
    File "<string>", line 2, in index
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 36, in validate
    return permission.check(app, request.environ, self.start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permiss
    ions.py", line 177, in check
    return app(environ, start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 35, in app
    return func(self, *args, **kwargs)
    File "/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/controllers/project
    admin/selectfileset.py", line 36, in index
    c.projectId = int(request.params['projectId'])
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multid
    ict.py", line 259, in __getitem__
    return self._decode_value(self.multi.__getitem__(key))
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multid
    ict.py", line 36, in __getitem__
    raise KeyError(repr(key))
    KeyError: "'projectId'"
    Error - <type 'exceptions.KeyError'>: "'projectId'"
    URL: http://localhost:5000/projectadmin/selectfileset/upload
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/er
    rormiddleware.py', line 144 in __call__
    app_iter = self.application(environ, sr_checker)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 314 in __call__
    return self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Beaker-1.2.3-py2.5.egg/beaker/middleware.
    py', line 81 in __call__
    return self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Beaker-1.2.3-py2.5.egg/beaker/middleware.
    py', line 160 in __call__
    return self.wrap_app(environ, session_start_response)
    File '/usr/lib/python2.5/site-packages/Routes-1.10.3-py2.5.egg/routes/middleware
    .py', line 130 in __call__
    response = self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 95 in __call__
    response = self.dispatch(controller, environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 236 in dispatch
    return controller(environ, start_response)
    File '/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/lib/base.py', line 98
    in __call__
    return WSGIController.__call__(self, environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 164 in __call__
    response = self._dispatch_call()
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 120 in _dispatch_call
    response = self._inspect_call(func)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 79 in _inspect_call
    result = func(**args)
    File '<string>', line 2 in upload
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 36 in validate
    return permission.check(app, request.environ, self.start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permissio
    ns.py', line 177 in check
    return app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 35 in app
    return func(self, *args, **kwargs)
    File '<string>', line 2 in upload
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/decorator
    s/__init__.py', line 149 in wrapper
    response = self._dispatch_call()
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 120 in _dispatch_call
    response = self._inspect_call(func)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 79 in _inspect_call
    result = func(**args)
    File '<string>', line 2 in index
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 36 in validate
    return permission.check(app, request.environ, self.start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permissio
    ns.py', line 177 in check
    return app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 35 in app
    return func(self, *args, **kwargs)
    File '/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/controllers/projectad
    min/selectfileset.py', line 36 in index
    c.projectId = int(request.params['projectId'])
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multidic
    t.py', line 259 in __getitem__
    return self._decode_value(self.multi.__getitem__(key))
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multidic
    t.py', line 36 in __getitem__
    raise KeyError(repr(key))
    KeyError: "'projectId'"

    CGI Variables
    -------------
    AUTH_TYPE: 'cookie'
    CONTENT_LENGTH: '-1'
    CONTENT_TYPE: 'multipart/form-data; boundary=---------------------------7d91ec
    9180ba8'
    HTTP_ACCEPT: 'image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application
    /vnd.ms-excel, application/vnd.ms-powerpoint, application/msword, application/x-
    shockwave-flash, */*'
    HTTP_ACCEPT_ENCODING: 'gzip, deflate'
    HTTP_ACCEPT_LANGUAGE: 'en-us'
    HTTP_CACHE_CONTROL: 'no-cache'
    HTTP_CONNECTION: 'Keep-Alive'
    HTTP_COOKIE: 'jcr=c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c
    1d782ece66a2; authkit=9da02f71419ce6530c5c8f0dd5bd363c49b073baadmin!'
    HTTP_HOST: 'localhost:5000'
    HTTP_REFERER: 'http://localhost:5000/projectadmin/selectfileset?fileSetType=Or
    iginal&projectId=8'
    HTTP_UA_CPU: 'x86'
    HTTP_USER_AGENT: 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR
    2.0.50727; InfoPath.1)'
    PATH_INFO: '/projectadmin/selectfileset/upload'
    REMOTE_ADDR: '127.0.0.1'
    REMOTE_USER: 'admin'
    REMOTE_USER_TOKENS: ['']
    REQUEST_METHOD: 'GET'
    SERVER_NAME: '0.0.0.0'
    SERVER_PORT: '5000'
    SERVER_PROTOCOL: 'HTTP/1.1'

    WSGI Variables
    --------------
    application: <pylons.wsgiapp.PylonsApp object at 0x7f4ce2ac>
    authkit.authenticate: True
    authkit.config: {'setup.method': 'forward, cookie', 'cookie.secret': 'sOmE9143
    2134SeccrRttt', 'setup.enable': True, 'forward.internalpath': '/login', 'cookie.
    signoutpath': '/logout/'}
    authkit.intercept: ['401']
    beaker.cache: <beaker.cache.CacheManager object at 0x7f4727cc>
    beaker.get_session: <bound method SessionMiddleware._get_session of <beaker.mi
    ddleware.SessionMiddleware object at 0x7f4f786c>>
    beaker.session: {'authenticatedUser': <jcr.model.systemuser.SystemUser object
    at 0x7f36212c>, 'sortFS': <jcr.lib.toggles.FileSetListSortOrder object at 0x7f36
    726c>, '_accessed_time': 1236300789.6081619, 'sortMP': <jcr.lib.toggles.ProjectL
    istSortOrder object at 0x7f36732c>, '_creation_time': 1236300730.173162}
    paste.auth_tkt.logout_user: <function logout_user at 0x7f353a3c>
    paste.auth_tkt.set_user: <function set_user at 0x7f353ed4>
    paste.auth_tkt.timestamp: 1236300730
    paste.cookies: (<SimpleCookie: authkit='9da02f71419ce6530c5c8f0dd5bd363c49b073
    baadmin!' jcr='c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c1d782
    ece66a2'>, 'jcr=c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c1d78
    2ece66a2; authkit=9da02f71419ce6530c5c8f0dd5bd363c49b073baadmin!')
    paste.expected_exceptions: [<class 'paste.httpexceptions.HTTPException'>]
    paste.httpexceptions: <paste.httpexceptions.HTTPExceptionHandler object at 0x7
    f472eec>
    paste.httpserver.thread_pool: <paste.httpserver.ThreadPool object at 0x7fc50bc
    c>
    paste.parsed_formvars: (MultiDict([]), <FakeCGIBody at 0x7f3623ac viewing Mult
    iDict([('fi...d')])>)
    paste.recursive.forward: <paste.recursive.Forwarder from />
    paste.recursive.include: <paste.recursive.Includer from />
    paste.recursive.include_app_iter: <paste.recursive.IncluderAppIter from />
    paste.recursive.script_name: ''
    paste.registry: <paste.registry.Registry object at 0x7f3d638c>
    paste.throw_errors: True
    pylons.action_method: <bound method SelectfilesetController.index of <jcr.cont
    rollers.projectadmin.selectfileset.SelectfilesetController object at 0x7f36208c>
    >
    pylons.environ_config: {'cache': 'beaker.cache', 'session': 'beaker.session'}
    pylons.error_call: True
    pylons.routes_dict: {'action': 'index', 'controller': u'projectadmin/selectfil
    eset', 'id': None}
    routes.route: <routes.route.Route object at 0x7f4ce22c>
    routes.url: <routes.util.URLGenerator object at 0x7f35262c>
    webob._parsed_post_vars: (MultiDict([('fileSetType', 'Original'), ('projectId'
    , '8'), ('baseline', 'prod_t'), ('file', FieldStorage('file', 'H:\\tmp\\t.tar'))
    , ('submit', 'Upload')]), <FakeCGIBody at 0x7f3623ac viewing MultiDict([('fi...d
    ')])>)
    webob.adhoc_attrs: {'errors': 'ignore'}
    wsgi process: 'Multithreaded'
    wsgiorg.routing_args: (<routes.util.URLGenerator object at 0x7f35262c>, {'acti
    on': 'index', 'controller': u'projectadmin/selectfileset', 'id': None})
    ------------------------------------------------------------

    <p>Additionally an error occurred while sending the &lt;paste.except
    ions.reporter.EmailReporter object at 0x7f367eac&gt; report:

    <pre>Traceback (most recent call last):
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/
    errormiddleware.py", line 420, in send_report
    rep.report(exc_data)
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/
    reporter.py", line 49, in report
    server = smtplib.SMTP(self.smtp_server)
    File "/usr/lib/python2.5/smtplib.py", line 244, in __init__
    (code, msg) = self.connect(host, port)
    File "/usr/lib/python2.5/smtplib.py", line 310, in connect
    raise socket.error, msg
    error: (113, 'Software caused connection abort')
    </pre>
    </p>17:53:19,222 INFO selectfileset [11104000] User: admin: Selecti
    ng file sets for project 8
    17:53:34,534 ERROR base [10791776] User: admin: Uncaught exception
    Traceback (most recent call last):
    File "/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/lib/base.py", line
    98, in __call__
    return WSGIController.__call__(self, environ, start_response)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 164, in __call__
    response = self._dispatch_call()
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 120, in _dispatch_call
    response = self._inspect_call(func)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 79, in _inspect_call
    result = func(**args)
    File "<string>", line 2, in upload
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 36, in validate
    return permission.check(app, request.environ, self.start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permiss
    ions.py", line 177, in check
    return app(environ, start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 35, in app
    return func(self, *args, **kwargs)
    File "<string>", line 2, in upload
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/decorat
    ors/__init__.py", line 149, in wrapper
    response = self._dispatch_call()
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 120, in _dispatch_call
    response = self._inspect_call(func)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 79, in _inspect_call
    result = func(**args)
    File "<string>", line 2, in index
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 36, in validate
    return permission.check(app, request.environ, self.start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permiss
    ions.py", line 177, in check
    return app(environ, start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 35, in app
    return func(self, *args, **kwargs)
    File "/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/controllers/project
    admin/selectfileset.py", line 36, in index
    c.projectId = int(request.params['projectId'])
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multid
    ict.py", line 259, in __getitem__
    return self._decode_value(self.multi.__getitem__(key))
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multid
    ict.py", line 36, in __getitem__
    raise KeyError(repr(key))
    KeyError: "'projectId'"
    Error - <type 'exceptions.KeyError'>: "'projectId'"
    URL: http://localhost:5000/projectadmin/selectfileset/upload
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/er
    rormiddleware.py', line 144 in __call__
    app_iter = self.application(environ, sr_checker)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 314 in __call__
    return self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Beaker-1.2.3-py2.5.egg/beaker/middleware.
    py', line 81 in __call__
    return self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Beaker-1.2.3-py2.5.egg/beaker/middleware.
    py', line 160 in __call__
    return self.wrap_app(environ, session_start_response)
    File '/usr/lib/python2.5/site-packages/Routes-1.10.3-py2.5.egg/routes/middleware
    .py', line 130 in __call__
    response = self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 95 in __call__
    response = self.dispatch(controller, environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 236 in dispatch
    return controller(environ, start_response)
    File '/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/lib/base.py', line 98
    in __call__
    return WSGIController.__call__(self, environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 164 in __call__
    response = self._dispatch_call()
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 120 in _dispatch_call
    response = self._inspect_call(func)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 79 in _inspect_call
    result = func(**args)
    File '<string>', line 2 in upload
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 36 in validate
    return permission.check(app, request.environ, self.start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permissio
    ns.py', line 177 in check
    return app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 35 in app
    return func(self, *args, **kwargs)
    File '<string>', line 2 in upload
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/decorator
    s/__init__.py', line 149 in wrapper
    response = self._dispatch_call()
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 120 in _dispatch_call
    response = self._inspect_call(func)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 79 in _inspect_call
    result = func(**args)
    File '<string>', line 2 in index
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 36 in validate
    return permission.check(app, request.environ, self.start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permissio
    ns.py', line 177 in check
    return app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 35 in app
    return func(self, *args, **kwargs)
    File '/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/controllers/projectad
    min/selectfileset.py', line 36 in index
    c.projectId = int(request.params['projectId'])
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multidic
    t.py', line 259 in __getitem__
    return self._decode_value(self.multi.__getitem__(key))
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multidic
    t.py', line 36 in __getitem__
    raise KeyError(repr(key))
    KeyError: "'projectId'"

    CGI Variables
    -------------
    AUTH_TYPE: 'cookie'
    CONTENT_LENGTH: '-1'
    CONTENT_TYPE: 'multipart/form-data; boundary=---------------------------7d933a
    21190ba8'
    HTTP_ACCEPT: 'image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application
    /vnd.ms-excel, application/vnd.ms-powerpoint, application/msword, application/x-
    shockwave-flash, */*'
    HTTP_ACCEPT_ENCODING: 'gzip, deflate'
    HTTP_ACCEPT_LANGUAGE: 'en-us'
    HTTP_CACHE_CONTROL: 'no-cache'
    HTTP_CONNECTION: 'Keep-Alive'
    HTTP_COOKIE: 'jcr=c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c
    1d782ece66a2; authkit=9da02f71419ce6530c5c8f0dd5bd363c49b073baadmin!'
    HTTP_HOST: 'localhost:5000'
    HTTP_REFERER: 'http://localhost:5000/projectadmin/selectfileset?fileSetType=Or
    iginal&projectId=8'
    HTTP_UA_CPU: 'x86'
    HTTP_USER_AGENT: 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR
    2.0.50727; InfoPath.1)'
    PATH_INFO: '/projectadmin/selectfileset/upload'
    REMOTE_ADDR: '127.0.0.1'
    REMOTE_USER: 'admin'
    REMOTE_USER_TOKENS: ['']
    REQUEST_METHOD: 'GET'
    SERVER_NAME: '0.0.0.0'
    SERVER_PORT: '5000'
    SERVER_PROTOCOL: 'HTTP/1.1'

    WSGI Variables
    --------------
    application: <pylons.wsgiapp.PylonsApp object at 0x7f4ce2ac>
    authkit.authenticate: True
    authkit.config: {'setup.method': 'forward, cookie', 'cookie.secret': 'sOmE9143
    2134SeccrRttt', 'setup.enable': True, 'forward.internalpath': '/login', 'cookie.
    signoutpath': '/logout/'}
    authkit.intercept: ['401']
    beaker.cache: <beaker.cache.CacheManager object at 0x7f4727cc>
    beaker.get_session: <bound method SessionMiddleware._get_session of <beaker.mi
    ddleware.SessionMiddleware object at 0x7f4f786c>>
    beaker.session: {'authenticatedUser': <jcr.model.systemuser.SystemUser object
    at 0x7f2a1f4c>, 'sortFS': <jcr.lib.toggles.FileSetListSortOrder object at 0x7f2a
    35cc>, '_accessed_time': 1236300814.4941621, 'sortMP': <jcr.lib.toggles.ProjectL
    istSortOrder object at 0x7f2a368c>, '_creation_time': 1236300730.173162}
    paste.auth_tkt.logout_user: <function logout_user at 0x7f299294>
    paste.auth_tkt.set_user: <function set_user at 0x7f299c34>
    paste.auth_tkt.timestamp: 1236300730
    paste.cookies: (<SimpleCookie: authkit='9da02f71419ce6530c5c8f0dd5bd363c49b073
    baadmin!' jcr='c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c1d782
    ece66a2'>, 'jcr=c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c1d78
    2ece66a2; authkit=9da02f71419ce6530c5c8f0dd5bd363c49b073baadmin!')
    paste.expected_exceptions: [<class 'paste.httpexceptions.HTTPException'>]
    paste.httpexceptions: <paste.httpexceptions.HTTPExceptionHandler object at 0x7
    f472eec>
    paste.httpserver.thread_pool: <paste.httpserver.ThreadPool object at 0x7fc50bc
    c>
    paste.parsed_formvars: (MultiDict([]), <FakeCGIBody at 0x7f2a1f2c viewing Mult
    iDict([('fi...d')])>)
    paste.recursive.forward: <paste.recursive.Forwarder from />
    paste.recursive.include: <paste.recursive.Includer from />
    paste.recursive.include_app_iter: <paste.recursive.IncluderAppIter from />
    paste.recursive.script_name: ''
    paste.registry: <paste.registry.Registry object at 0x7f2960cc>
    paste.throw_errors: True
    pylons.action_method: <bound method SelectfilesetController.index of <jcr.cont
    rollers.projectadmin.selectfileset.SelectfilesetController object at 0x7f2a1c6c>
    >
    pylons.environ_config: {'cache': 'beaker.cache', 'session': 'beaker.session'}
    pylons.error_call: True
    pylons.routes_dict: {'action': 'index', 'controller': u'projectadmin/selectfil
    eset', 'id': None}
    routes.route: <routes.route.Route object at 0x7f4ce22c>
    routes.url: <routes.util.URLGenerator object at 0x7f2a1c2c>
    webob._parsed_post_vars: (MultiDict([('fileSetType', 'Original'), ('projectId'
    , '8'), ('baseline', 'prod_t_gz'), ('file', FieldStorage('file', 'H:\\tmp\\t_gz.
    tar.gz')), ('submit', 'Upload')]), <FakeCGIBody at 0x7f2a1f2c viewing MultiDict(
    [('fi...d')])>)
    webob.adhoc_attrs: {'errors': 'ignore'}
    wsgi process: 'Multithreaded'
    wsgiorg.routing_args: (<routes.util.URLGenerator object at 0x7f2a1c2c>, {'acti
    on': 'index', 'controller': u'projectadmin/selectfileset', 'id': None})
    ------------------------------------------------------------

    <p>Additionally an error occurred while sending the &lt;paste.except
    ions.reporter.EmailReporter object at 0x7f292b8c&gt; report:

    <pre>Traceback (most recent call last):
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/
    errormiddleware.py", line 420, in send_report
    rep.report(exc_data)
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/
    reporter.py", line 49, in report
    server = smtplib.SMTP(self.smtp_server)
    File "/usr/lib/python2.5/smtplib.py", line 244, in __init__
    (code, msg) = self.connect(host, port)
    File "/usr/lib/python2.5/smtplib.py", line 310, in connect
    raise socket.error, msg
    error: (113, 'Software caused connection abort')
    </pre>
    </p>17:53:51,378 INFO selectfileset [9041864] User: admin: Selectin
    g file sets for project 8
    17:54:50,363 ERROR base [9200976] User: admin: Uncaught exception
    Traceback (most recent call last):
    File "/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/lib/base.py", line
    98, in __call__
    return WSGIController.__call__(self, environ, start_response)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 164, in __call__
    response = self._dispatch_call()
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 120, in _dispatch_call
    response = self._inspect_call(func)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 79, in _inspect_call
    result = func(**args)
    File "<string>", line 2, in upload
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 36, in validate
    return permission.check(app, request.environ, self.start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permiss
    ions.py", line 177, in check
    return app(environ, start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 35, in app
    return func(self, *args, **kwargs)
    File "<string>", line 2, in upload
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/decorat
    ors/__init__.py", line 149, in wrapper
    response = self._dispatch_call()
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 120, in _dispatch_call
    response = self._inspect_call(func)
    File "/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/control
    lers/core.py", line 79, in _inspect_call
    result = func(**args)
    File "<string>", line 2, in index
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 36, in validate
    return permission.check(app, request.environ, self.start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permiss
    ions.py", line 177, in check
    return app(environ, start_response)
    File "/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authori
    ze/pylons_adaptors.py", line 35, in app
    return func(self, *args, **kwargs)
    File "/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/controllers/project
    admin/selectfileset.py", line 36, in index
    c.projectId = int(request.params['projectId'])
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multid
    ict.py", line 259, in __getitem__
    return self._decode_value(self.multi.__getitem__(key))
    File "/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multid
    ict.py", line 36, in __getitem__
    raise KeyError(repr(key))
    KeyError: "'projectId'"
    Error - <type 'exceptions.KeyError'>: "'projectId'"
    URL: http://localhost:5000/projectadmin/selectfileset/upload
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/exceptions/er
    rormiddleware.py', line 144 in __call__
    app_iter = self.application(environ, sr_checker)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 314 in __call__
    return self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Beaker-1.2.3-py2.5.egg/beaker/middleware.
    py', line 81 in __call__
    return self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Beaker-1.2.3-py2.5.egg/beaker/middleware.
    py', line 160 in __call__
    return self.wrap_app(environ, session_start_response)
    File '/usr/lib/python2.5/site-packages/Routes-1.10.3-py2.5.egg/routes/middleware
    .py', line 130 in __call__
    response = self.app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 95 in __call__
    response = self.dispatch(controller, environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/wsgiapp.p
    y', line 236 in dispatch
    return controller(environ, start_response)
    File '/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/lib/base.py', line 98
    in __call__
    return WSGIController.__call__(self, environ, start_response)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 164 in __call__
    response = self._dispatch_call()
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 120 in _dispatch_call
    response = self._inspect_call(func)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 79 in _inspect_call
    result = func(**args)
    File '<string>', line 2 in upload
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 36 in validate
    return permission.check(app, request.environ, self.start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permissio
    ns.py', line 177 in check
    return app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 35 in app
    return func(self, *args, **kwargs)
    File '<string>', line 2 in upload
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/decorator
    s/__init__.py', line 149 in wrapper
    response = self._dispatch_call()
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 120 in _dispatch_call
    response = self._inspect_call(func)
    File '/usr/lib/python2.5/site-packages/Pylons-0.9.6.2-py2.5.egg/pylons/controlle
    rs/core.py', line 79 in _inspect_call
    result = func(**args)
    File '<string>', line 2 in index
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 36 in validate
    return permission.check(app, request.environ, self.start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/permissio
    ns.py', line 177 in check
    return app(environ, start_response)
    File '/usr/lib/python2.5/site-packages/AuthKit-0.4.3-py2.5.egg/authkit/authorize
    /pylons_adaptors.py', line 35 in app
    return func(self, *args, **kwargs)
    File '/usr/lib/python2.5/site-packages/jcr-0.6.6.1.egg/jcr/controllers/projectad
    min/selectfileset.py', line 36 in index
    c.projectId = int(request.params['projectId'])
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multidic
    t.py', line 259 in __getitem__
    return self._decode_value(self.multi.__getitem__(key))
    File '/usr/lib/python2.5/site-packages/Paste-1.7.2-py2.5.egg/paste/util/multidic
    t.py', line 36 in __getitem__
    raise KeyError(repr(key))
    KeyError: "'projectId'"

    CGI Variables
    -------------
    AUTH_TYPE: 'cookie'
    CONTENT_LENGTH: '-1'
    CONTENT_TYPE: 'multipart/form-data; boundary=---------------------------7d9111
    321a0ba8'
    HTTP_ACCEPT: 'image/gif, image/x-xbitmap, image/jpeg, image/pjpeg, application
    /vnd.ms-excel, application/vnd.ms-powerpoint, application/msword, application/x-
    shockwave-flash, */*'
    HTTP_ACCEPT_ENCODING: 'gzip, deflate'
    HTTP_ACCEPT_LANGUAGE: 'en-us'
    HTTP_CACHE_CONTROL: 'no-cache'
    HTTP_CONNECTION: 'Keep-Alive'
    HTTP_COOKIE: 'jcr=c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c
    1d782ece66a2; authkit=9da02f71419ce6530c5c8f0dd5bd363c49b073baadmin!'
    HTTP_HOST: 'localhost:5000'
    HTTP_REFERER: 'http://localhost:5000/projectadmin/selectfileset?fileSetType=Or
    iginal&projectId=8'
    HTTP_UA_CPU: 'x86'
    HTTP_USER_AGENT: 'Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR
    2.0.50727; InfoPath.1)'
    PATH_INFO: '/projectadmin/selectfileset/upload'
    REMOTE_ADDR: '127.0.0.1'
    REMOTE_USER: 'admin'
    REMOTE_USER_TOKENS: ['']
    REQUEST_METHOD: 'GET'
    SERVER_NAME: '0.0.0.0'
    SERVER_PORT: '5000'
    SERVER_PROTOCOL: 'HTTP/1.1'

    WSGI Variables
    --------------
    application: <pylons.wsgiapp.PylonsApp object at 0x7f4ce2ac>
    authkit.authenticate: True
    authkit.config: {'setup.method': 'forward, cookie', 'cookie.secret': 'sOmE9143
    2134SeccrRttt', 'setup.enable': True, 'forward.internalpath': '/login', 'cookie.
    signoutpath': '/logout/'}
    authkit.intercept: ['401']
    beaker.cache: <beaker.cache.CacheManager object at 0x7f4727cc>
    beaker.get_session: <bound method SessionMiddleware._get_session of <beaker.mi
    ddleware.SessionMiddleware object at 0x7f4f786c>>
    beaker.session: {'authenticatedUser': <jcr.model.systemuser.SystemUser object
    at 0x7f2bd66c>, 'sortFS': <jcr.lib.toggles.FileSetListSortOrder object at 0x7f2b
    220c>, '_accessed_time': 1236300890.3331621, 'sortMP': <jcr.lib.toggles.ProjectL
    istSortOrder object at 0x7f2b27ec>, '_creation_time': 1236300730.173162}
    paste.auth_tkt.logout_user: <function logout_user at 0x7f2c0294>
    paste.auth_tkt.set_user: <function set_user at 0x7f2c0304>
    paste.auth_tkt.timestamp: 1236300730
    paste.cookies: (<SimpleCookie: authkit='9da02f71419ce6530c5c8f0dd5bd363c49b073
    baadmin!' jcr='c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c1d782
    ece66a2'>, 'jcr=c508b7a5fc8c308bf21d29c1014404c379fb218e91b22ab7291900a9786c1d78
    2ece66a2; authkit=9da02f71419ce6530c5c8f0dd5bd363c49b073baadmin!')
    paste.expected_exceptions: [<class 'paste.httpexceptions.HTTPException'>]
    paste.httpexceptions: <paste.httpexceptions.HTTPExceptionHandler object at 0x7
    f472eec>
    paste.httpserver.thread_pool: <paste.httpserver.ThreadPool object at 0x7fc50bc
    c>
    paste.parsed_formvars: (MultiDict([]), <FakeCGIBody at 0x7f2bd7ac viewing Mult
    iDict([('fi...d')])>)
    paste.recursive.forward: <paste.recursive.Forwarder from />
    paste.recursive.include: <paste.recursive.Includer from />
    paste.recursive.include_app_iter: <paste.recursive.IncluderAppIter from />
    paste.recursive.script_name: ''
    paste.registry: <paste.registry.Registry object at 0x7f2bd3cc>
    paste.throw_errors: True
    pylons.action_method: <bound method SelectfilesetController.index of <jcr.cont
    rollers.projectadmin.selectfileset.SelectfilesetController object at 0x7f2bdd4c>
    >
    pylons.environ_config: {'cache': 'beaker.cache', 'session': 'beaker.session'}
    pylons.error_call: True
    pylons.routes_dict: {'action': 'index', 'controller': u'projectadmin/selectfil
    eset', 'id': None}
    routes.route: <routes.route.Route object at 0x7f4ce22c>
    routes.url: <routes.util.URLGenerator object at 0x7f2bdf2c>
    webob._parsed_post_vars: (MultiDict([('fileSetType', 'Original'), ('projectId'
    , '8'), ('baseline', 'prod_t_gz'), ('file', FieldStorage('file', 'H:\\tmp\\t_gz.
    tar.gz')), ('submit', 'Upload')]), <FakeCGIBody at 0x7f2bd7ac viewing MultiDict(
    [('fi...d')])>)
    webob.adhoc_attrs: {'errors': 'ignore'}
    wsgi process: 'Multithreaded'
    wsgiorg.routing_args: (<routes.util.URLGenerator object at 0x7f2bdf2c>, {'acti
    on': 'index', 'controller': u'projectadmin/selectfileset', 'id': None})
    ------------------------------------------------------------

     
  • John Dickson

    John Dickson - 2009-03-06

    OK, I've managed (finally) to reproduce the problem. It appears to be caused by a recent change made in a third party library, but I haven't yet tracked down the details.

    I'll post a message when I've got more information, and hopefully a workaround (probably won't be until the weekend, I'm afraid).

     
  • Nobody/Anonymous

    Thanks. I will be in vacation for the next 4 weeks so I will look into this when I come back.

     
  • John Dickson

    John Dickson - 2009-04-14
    • assigned_to: captsens --> nobody
    • status: open --> closed-fixed
     
  • John Dickson

    John Dickson - 2009-04-14

    Fixed by 0.6.7

     

Log in to post a comment.